ubiquity crashed with InstallStepError in configure_bootloader()

Bug #369048 reported by OS/2-User on 2009-04-29
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: ubiquity

I have no clue what to tell here.

ProblemType: Crash
Architecture: i386
DistroRelease: Ubuntu 9.04
ExecutablePath: /usr/lib/ubiquity/bin/ubiquity
InterpreterPath: /usr/bin/python2.6
MediaBuild: Ubuntu 9.04 "Jaunty Jackalope" - Release i386 (20090420.1)
Package: ubiquity 1.12.12
ProcAttrCurrent: unconfined
ProcCmdline: /usr/bin/python /usr/lib/ubiquity/bin/ubiquity gtk_ui
ProcEnviron: Error: [Errno 13] Permission denied: '/proc/7232/environ'
PythonArgs: ['/usr/lib/ubiquity/bin/ubiquity', 'gtk_ui']
SourcePackage: ubiquity
Title: ubiquity crashed with InstallStepError in configure_bootloader()
Uname: Linux 2.6.28-11-generic i686
UserGroups:

OS/2-User (fzf7a2c02) wrote :
tags: removed: need-duplicate-check
visibility: private → public
OS/2-User (fzf7a2c02) wrote :

Well, after further inspection of the syslog files, I wouldn't say, that my bug is a duplicate of bug #260001.

In my case, grub-install screws up here:

Apr 29 04:55:16 ubuntu grub-installer: grub> setup --stage2=/boot/grub/stage2 --prefix=/boot/grub (hd0,8)
Apr 29 04:55:16 ubuntu grub-installer: Checking if "/boot/grub/stage1" exists... yes
Apr 29 04:55:16 ubuntu grub-installer: Checking if "/boot/grub/stage2" exists... yes
Apr 29 04:55:16 ubuntu grub-installer: Checking if "/boot/grub/jfs_stage1_5" exists... yes
Apr 29 04:55:16 ubuntu grub-installer: Running "embed /boot/grub/jfs_stage1_5 (hd0,8)"... 18 sectors are embedded.
Apr 29 04:55:16 ubuntu grub-installer: succeeded
Apr 29 04:55:16 ubuntu grub-installer: Running "install --stage2=/boot/grub/stage2 /boot/grub/stage1 (hd0,8) (hd0,8)1+18 p (hd0,8)/boot/grub/stage2 /boot/grub/menu.lst"... failed
Apr 29 04:55:16 ubuntu grub-installer:
Apr 29 04:55:16 ubuntu grub-installer: Error 6: Mismatched or corrupt version of stage1/stage2
Apr 29 04:55:16 ubuntu grub-installer: grub> quit
Apr 29 04:55:16 ubuntu grub-installer: error: Running 'grub-install --no-floppy "/dev/sda9"' failed.

While the only reference to grub-installer that I can find in the syslog of bug #260001 is this single statement:
Aug 21 08:35:01 ubuntu grub-installer: info: architecture: i386/generic

So, I can't help it, but to me that doesn't look like the same thing.

OS/2-User (fzf7a2c02) wrote :

My problem is an exact déjà-vu of the 2007 bug https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/123102/comments/5 (which itself links back as early as 2005 to Bug #14010) and I'm almost willing to bet, that it still has the very same, still unfixed cause as it did FOUR years ago.

Why does nobody seem to care to fix show-stopper bugs like this, preventing nothing short of the installation itself?
Why does everybody seem to care only about the latest gimmicks and eye-candy being added to the desktop, while the foundation is still partly made out of flaky plywood?
That recalls strong memories of the Win-9x alleged luxury penthouse sitting on top of a flimsy DOS shack (cudos to c't computer magazine's editorial of that time) ;-)

How many decades more does it take, before finally someone takes on this assignment and fixes it for Ubuntu once and for all?

Colin Watson (cjwatson) wrote :

I've already addressed your impolite and inaccurate comments in another bug; you seem to have copied them into every bug report you can find, which is just about the least effective way to get anything done!

It does appear that your bug is bug 185878 (rather than the other bug it was incorrectly duplicated against). The reason that isn't fixed yet is that I literally only managed to reproduce it *at all* three days before release, far too late to do anything about it. Before then I'd been completely unable to reproduce it because it hadn't been clear to me that it only happens when you're installing into a partition, not installing to the master boot record (and that in itself does, I'm afraid, mean that it isn't a showstopper since that isn't the default setup, although I do regard it as an important bug that needs to be fixed).

OS/2-User (fzf7a2c02) wrote :
Download full text (5.0 KiB)

Colin, thank you very much for stepping in and with you, finally someone taking on this unfortunate, already way too long lasting Ubuntu-specific installer bug.

Until your replies in https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/260001/comments/74 and following, I did not know, how the bug duplication process works. So I initially followed the yellow box advice given here and shifted my further comments to bug #260001. When I was pointed towards bug #185878 from a 3rd party and also started to follow up on its ancestral duplicates, I realized that bug #260001 definitively is the wrong one for my problem, so I continued back here and also left a comment in bug #185878, because that felt like the right place to be and I didn't know, how the re-assignment of this one to other bugs works.
My comment https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/260001/comments/73 was not in respect to the previous 72 comments in bug #260001, but what I found in #14010 and #123102, before being sure, to be in the wrong place there.

Well, I didn't mean to be impolite and from my point of view it certainly didn't appear to be so, but the deeper I had to dig into this issue and following up on older bug reports like #14010 and #123102 - which weirdly are considered to be duplicates of the much younger bug #185878 - in order to submit my comments here, the more frustrated I got, since nothing seemed to have happened at all about it during the last 4 years:

- Bug #14010 "grub-install fails for JFS root partition":
  2005-03-15 Brian reports "...went fine except for the installation of Grub to the MBR. It
attempts, then says that it fails. It will not install to the partition
superblock either."
  2005-03-16 Confirmed by Rob.
  2006-01-08 Pedro Alejandro adds "This problem occurs when you try to install grub to a partiton superblock and the filesystem type is not ext2/3."
  2007-03-28 Steve: "I confirm this bug is still present in Feisty Beta 1 Alternate installer CD."
 "Install bootloader to MBR?" I chose No, and instead said to install to /dev/sda9 (SATA drive). As error message told me that grub-install failed and this was fatal.
  2007-08-07 OS/2-User wrote "Desktop installer *always* fails to install GRUB on a separate /boot partition ((hd0,5) 24MB), formatted as JFS". (This was one of my my first investigative steps into Linux-Land and ended quite disappointing).
  2007-08-26 steve wrote "Confirmed (again) for Gutsy Tribe-5 (installing to jfs root partition)."
  2008-03-27 Pedro Alejandro wrote "If you install stage1 to the root partition superblock, it fails."
  2008-05-09 Richard's final question "Do we know if this was fixed for the final release?" remained unanswered.
The bug is currently classified as "Status Confirmed", "Importance Medium", so obviously not fixed yet and apparently not worked on either.

- Bug #123102 "Installation of GRUB on a reiserfs partition always fails":
  2007-06-29 M. Vefa wrote "to install GRUB on a reiserfs partition instead of the MBR, the installation fails with the following message: "Executing 'grub-install (hd0,9)' failed. This is a fatal error.""
  2007-08-07 OS/2-User wrote "..having '/' on a 10G...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers